com.rscja.deviceapi.interfaces

## Interface IUHFA8

- All Superinterfaces:
    IMultipleAntenna, IRFIDWithUHFA8, IUHF, IUHFURAxExtend
  All Known Subinterfaces:
    IRFIDWithUHFA8NetWork, IRFIDWithUHFA8RS232
  All Known Implementing Classes:
    RFIDWithUHFA8NetWork, RFIDWithUHFA8NetWork_qcom, RFIDWithUHFA8RS232, RFIDWithUHFA8RS232_qcom

      public interface IUHFA8
      extends IRFIDWithUHFA8, IUHFURAxExtend, IUHF

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IRFIDWithUHFA8

      `inputStatus, output3Off, output3On, output4Off, output4On`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IMultipleAntenna

      `getANT, getAntennaPower, getAntennaPower, setANT, setAntennaPower`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFURAxExtend

      `closeWifi, disableBeep, enableBeep, getAndroidDeviceHardwareVersion, getEthernetIpConfig, getReaderCurrentIp, getTcpServiceVersion, getWifiInfo, getWifiIpConfig, isEnableBeep, openWifi, outputOnAndOff, readyUpgradeTcpService, rebootDevice, setBuzzerOff, setBuzzerOn, setEthernetConfigInfo, setEthernetIpDynamicAssign, setGPIStateCallback, setGPIStateReverse, setInventoryCallback, setTcpServicePort, setUpgradeProgress, setUpgradeTcpServiceData, setWifiConfigInfo, startUpgradeTcpService`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`